MWAWOLEParserInternal::State Struct Reference

Internal: internal state of a MWAWOLEParser. More...

## Public Member Functions

| State (MWAWFontConverterPtr const &fontConverter, int fId)
| constructor

## Public Attributes

MWAWFontConverterPtr | m_fontConverter
| the font converter
int | m_fontId
| the font id used to decode string
int | m_encoding
| the font encoding
librevenge::RVNGPropertyList | m_metaData
| the meta data
std::vector< std::string > | m_unknownOLEs
| list of ole which can not be parsed
std::vector< librevenge::RVNGBinaryData > | m_objects
| list of pictures read
std::vector< MWAWPosition > | m_objectsPosition
| list of picture size ( if known)
std::vector< int > | m_objectsId
| list of pictures id
std::vector< std::string > | m_objectsType
| list of picture type
std::shared_ptr< MWAWOLEParserInternal::CompObj > | m_compObjIdName
| a smart ptr used to stored the list of compobj id->name

## Detailed Description

Internal: internal state of a MWAWOLEParser.

## Constructor & Destructor Documentation

## State()

MWAWOLEParserInternal::State::State | ( | MWAWFontConverterPtr const & | fontConverter,
|  | int | fId )

inline

constructor

## Member Data Documentation

## m_compObjIdName

std::shared_ptr<MWAWOLEParserInternal::CompObj> MWAWOLEParserInternal::State::m_compObjIdName

a smart ptr used to stored the list of compobj id->name

Referenced by State().

## m_encoding

int MWAWOLEParserInternal::State::m_encoding

the font encoding

Referenced by State().

## m_fontConverter

MWAWFontConverterPtr MWAWOLEParserInternal::State::m_fontConverter

the font converter

Referenced by State().

## m_fontId

int MWAWOLEParserInternal::State::m_fontId

the font id used to decode string

Referenced by State().

## m_metaData

librevenge::RVNGPropertyList MWAWOLEParserInternal::State::m_metaData

the meta data

Referenced by State().

## m_objects

std::vector<librevenge::RVNGBinaryData> MWAWOLEParserInternal::State::m_objects

list of pictures read

Referenced by State().

## m_objectsId

std::vector<int> MWAWOLEParserInternal::State::m_objectsId

list of pictures id

Referenced by State().

## m_objectsPosition

std::vector<MWAWPosition> MWAWOLEParserInternal::State::m_objectsPosition

list of picture size ( if known)

Referenced by State().

## m_objectsType

std::vector<std::string> MWAWOLEParserInternal::State::m_objectsType

list of picture type

Referenced by State().

## m_unknownOLEs

std::vector<std::string> MWAWOLEParserInternal::State::m_unknownOLEs

list of ole which can not be parsed

Referenced by State().

The documentation for this struct was generated from the following file:

- MWAWOLEParser.cxx